{% extends "base.html" %}

{% load i18n %}
{% load static %}
{% load thing_tags %}

{% block title %}{% if public %}{{ public_user.username }} - {% endif %}Home{% endblock %}

{% block extra_js %}
<script type="text/javascript">
</script>

<script type="text/javascript">
    const WoWthingState = {
        userdata_url: '{% url 'intapi:userdata_code' userdata_code %}',
    };

    WoWthing.home._public={{ public|lower }};
    WoWthing.home._anonymized={{ anonymized|lower }};
    WoWthing.home._user_id={{ user_id }};
    WoWthing.home._achievement_js='{% static 'js/achievements.min.js' %}';
    WoWthing.home._transmog_js='{% static 'js/transmog.min.js' %}';

    WoWthing.home.onload();
</script>
{% endblock %}

{% block content %}
<div class="row">
    <div class="col-xs-12" id="home-errors"></div>
</div>

<div class="row home-row">
    <div class="col-sidebar">
        <div class="home-sidebar" id="home-sidebar">
            <div class="list-group">
                <a href="#overview" class="list-group-item js-sidebar">Overview</a>
                <a href="#achievements" class="list-group-item js-sidebar">Achievements<span id="badge-achievements" class="badge"></span></a>
                {% if not public %}
                <a href="#currencies" class="list-group-item js-sidebar">Currencies</a>
                {% endif %}
                <a href="#gear" class="list-group-item js-sidebar">Gear</a>
                {% if not public %}
                <a href="#gold_history" class="list-group-item js-sidebar">Gold history</a>
                <a href="#items" class="list-group-item js-sidebar">Items</a>
                <a href="#lockouts" class="list-group-item js-sidebar">Lockouts<span id="badge-lockouts" class="badge"></span></a>
                {% endif %}
                <a href="#progress" class="list-group-item js-sidebar">Progress</a>
                <a href="#reputations" class="list-group-item js-sidebar">Reputations</a>
            </div>

            <div class="list-group">
                <a href="#mounts" class="list-group-item js-sidebar">Mounts<span id="badge-mounts" class="badge"></span></a>
                <a href="#pets" class="list-group-item js-sidebar">Pets<span id="badge-pets" class="badge"></span></a>
                <a href="#toys" class="list-group-item js-sidebar">Toys<span id="badge-toys" class="badge"></span></a>
            </div>

            {% if not public %}
            <div class="list-group">
                <a href="#transmog" class="list-group-item js-sidebar">Transmog<span class="badge">WIP</span></a>
                <a href="#settings" class="list-group-item js-sidebar">Settings</a>
            </div>
            {% endif %}
        </div>{# home-sidebar #}
    </div>{# col-sidebar #}

    <div class="home-main col">
        <div id="home-loading" class="home-content">
            <p>Loading, please wait...</p>
        </div>{# home-loading #}

        <div id="home-content" class="home-content">
        </div>{# home-content #}

        {% if not public %}
        <div id="home-settings" class="home-content" style="display: none">
            <form id="home-settings-form" action="{% url 'home_settings' %}" method="POST">
                {% csrf_token %}
                <input id="home-settings-currencies-input" type="hidden" name="overview_show_currencies">
                <input id="home-settings-lockouts-input" type="hidden" name="overview_show_lockouts">

                <button type="submit" class="btn btn-primary">Save changes</button>

                <div class="row">
                    <div class="col settings-content">
                        {% for section, field_names in settings_form.sections.items %}
                            <div class="card card-body">
                                <fieldset>
                                    <legend>{{ section }}</legend>
                                    {% for field_name in field_names %}
                                        {{ settings_form|fieldget:field_name|bsfield }}
                                    {% endfor %}
                                </fieldset>
                            </div>
                        {% endfor %}

                        <div class="card card-body">
                            <fieldset>
                                <legend>{% trans 'Overview grouping' %}</legend>
                                <input class="form-control" type="text" name="overview_group" value="{{ overview_group }}">
                                <span class="form-text">
                                    Comma-separated list of things to use to group characters on the overview. Options are <code>realm</code>,
                                    <code>faction</code>, <code>tag</code>, <code>class</code>.
                                    <br><br>
                                    The default is <code>realm</code>.
                                </span>
                            </fieldset>
                        </div>

                        <div class="card card-body">
                            <fieldset>
                                <legend>{% trans 'Overview sort order' %}</legend>
                                <input class="form-control" type="text" name="overview_sort" value="{{ overview_sort }}">
                                <span class="form-text">
                                    Comma-separated list of things to use to sort characters on the overview. Options are <code>name</code>,
                                    <code>level</code>, <code>itemlevel</code>, prefixed with '-' for descending order (eg <code>-itemlevel</code>).
                                    <br><br>
                                    The default is <code>-level,name</code>.</span>
                            </fieldset>
                        </div>

                        <div class="card card-body">
                            <fieldset>
                                <legend>{% trans 'Overview currencies' %}</legend>
                                <p>Add currencies by searching for them and either pressing Enter or clicking the currency name. Reorder via drag-and-drop. Delete by clicking the <span class="icon-trash"></span> icons.</p>
                                <div class="input-group">
                                    <input id="home-settings-currency-search" class="form-control" type="text" placeholder="Search currencies...">
                                    <span class="input-group-append" data-tippy-content="Add to list">
                                        <span class="input-group-text icon-plus"></span>
                                    </span>
                                </div>
                                <ul id="home-settings-currencies" class="list-group"></ul>
                            </fieldset>
                        </div>

                        <div class="card card-body">
                            <fieldset>
                                <legend>{% trans 'Overview lockouts' %}</legend>
                                <p>Add instances by searching for them and either pressing Enter or clicking the instance name. Reorder via drag-and-drop. Delete by clicking the <span class="icon-trash"></span> icons.</p>
                                <div class="input-group">
                                    <input id="home-settings-lockout-search" class="form-control" type="text" placeholder="Search instances...">
                                    <span class="input-group-append" data-tippy-content="Add to list">
                                        <span class="input-group-text icon-plus"></span>
                                    </span>
                                </div>
                                <ul id="home-settings-lockouts" class="list-group"></ul>
                            </fieldset>
                        </div>

                        <div class="card card-body">
                            <fieldset>
                                <legend>{% trans 'Hide characters' %}</legend>
                                <div class="panel-group" id="home-settings-hide"></div>
                            </fieldset>
                        </div>
                    </div>{# col settings-content #}
                </div>{# row #}
            </form>
        </div>{# home-content settings #}
        {% endif %}
    </div>{# home-main #}
</div>{# row #}
{% endblock %}
